summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-09-04 13:19:53 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-09-04 14:25:46 +0200
commite152ffd98793f16b489bbba958bbdc549f3b64b1 (patch)
treedec57cba5f4c711e2b59aa2cb05f5b665d8e558a /kde-plasma/plasma-vault/plasma-vault-5.13.5.ebuild
parentapp-i18n/ibus-table: new upstream release (diff)
downloadgentoo-e152ffd98793f16b489bbba958bbdc549f3b64b1.tar.gz
gentoo-e152ffd98793f16b489bbba958bbdc549f3b64b1.tar.bz2
gentoo-e152ffd98793f16b489bbba958bbdc549f3b64b1.zip
kde-plasma: Add KDE Plasma 5.13.5
Package-Manager: Portage-2.3.48, Repoman-2.3.10
Diffstat (limited to 'kde-plasma/plasma-vault/plasma-vault-5.13.5.ebuild')
-rw-r--r--kde-plasma/plasma-vault/plasma-vault-5.13.5.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/kde-plasma/plasma-vault/plasma-vault-5.13.5.ebuild b/kde-plasma/plasma-vault/plasma-vault-5.13.5.ebuild
new file mode 100644
index 000000000000..2e3dc39df9bb
--- /dev/null
+++ b/kde-plasma/plasma-vault/plasma-vault-5.13.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Plasma applet and services for creating encrypted vaults"
+HOMEPAGE+=" https://cukic.co/2017/02/03/vaults-encryption-in-plasma/"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="networkmanager"
+
+DEPEND="
+ $(add_frameworks_dep kactivities)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep plasma)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_plasma_dep libksysguard)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ networkmanager? ( $(add_frameworks_dep networkmanager-qt) )
+"
+RDEPEND="${DEPEND}
+ || ( >=sys-fs/cryfs-0.9.9 >=sys-fs/encfs-1.9.2 )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-5.13.2-nm-qt-optional.patch" )
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package networkmanager KF5NetworkManagerQt)
+ )
+
+ kde5_src_configure
+}